APIReferenceSessions
Create a session
Creates a session with inline activities and, optionally, opens it for participants to join immediately.
Authorization
ApiKey AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/sessions" \ -H "Content-Type: application/json" \ -d '{}'{ "session": { "id": "string", "title": "string", "status": "draft", "mode": "live", "joinCode": "string", "joinUrl": "http://example.com", "screenUrl": "http://example.com", "createdAt": "2019-08-24T14:15:22Z", "activities": [ { "id": "string", "kind": "poll", "config": {}, "order": 0 } ] }}{ "error": "string", "issues": [ { "path": [ null ], "message": "string" } ]}{ "error": "string"}{ "error": "string"}{ "error": "string"}{ "error": "string"}